#ifndef SRTPEDALS_H
#define SRTPEDALS_H
#include "src/ADS1X15.h"
#include "src/Joystick.h"

class SRTPedals_
{
private:

byte numberOfPedals =0;
unsigned long minInput[4] = {0,0,0,0};
unsigned long minRead[4] = {32767,32767,32767,32767};
unsigned long maxRead[4] = {0,0,0,0};
unsigned long maxInput[4] = {0,0,0,0};
float coeff[4] = {0,0,0};
long rawReadPedal[4]= {0,0,0,0};
long lastReadPedal[4]= {0,0,0,0};
bool isADS;
byte ADSType;
ADS1115 ADS1;
ADS1015 ADS0;
void setAxis(int i); 
void   setRawRead(int i);
Joystick_ * joystickPtr;
void fadeInOut();
int myExp(int i);
protected:


public:
SRTPedals_(byte numberOfPedalsUser, long minInput1, long minInput2,  long minInput3, long minInput4,
  long maxInput1, long maxInput2, long maxInput3, long maxInput4,
  bool isADS,
  byte ADSType,
  Joystick_ * joystickPtr);

  void begin();
  byte getPedalNumber();
  void setPedals(bool debug);
  int getCalibratedValue(int i);

  long LedMap(int pedal, int led);
};

#endif
