#ifndef MOUSE_H
#define MOUSE_H
#include <Mouse.h>
class SRTMouse_
{
private:
  int XMousePin; 
  int YMousePin; 
  int SwitchMousePin;
  int analogcenter;
  int threshold ;
  bool onlyShowValue;      //use this to calibrate the joystick. Disables the mouse behaviour.
  bool invertX;           //invert X axis. Default is false.
  bool invertY;           //invert Y axis. Default is false.
  bool invertXY;          //invert X and Y axis. Default is false
  int thresholdUser;           
  int MouseSensitivity;
  bool keyPressed = false;
  unsigned long keyPressedTime =0;
  unsigned keyPressedDelay=100;
  unsigned delayNextPress = 300;
  bool MouseMode = true;
  unsigned long lastMove =0;
  bool securityMod;
  void Arrow(unsigned long currentMillis);

protected:
bool mouseMode = true;

public:
  SRTMouse_(
  bool onlyShowValueUser,      //use this to calibrate the joystick. Disables the mouse behaviour.
  bool secure
  );
  void set();
  void begin();
  bool getMouseMode();
  bool lastClickState = false;
  unsigned int startedToClick = 0;
  int configMouseDelay = 300;
  unsigned clickPressed = 15;
  unsigned long lastClick = 0;
  bool setAction(long currentmillis);
  void setMouse(bool sendData, unsigned long currentmillis);
    int xReading, yReading;
  int readAxis(int thisAxis);
  bool isSecurityMod();
  


};

#endif
